let
  link = name: url: { inherit name url; };
  short = short: name: url: { name = short; inherit url; };
  dir = name: bookmarks: { inherit name bookmarks; };
in [
  (short "tr" "Translate" "https://translate.google.no/?hl=no")
  (short "gm" "Gmail" "https://mail.google.com/mail/u/0/#inbox")
  (short "辞書" "Jisho" "https://jisho.org/?color_theme=dark")
  (short "Gitea" "Gitea - nani.wtf" "https://git.nani.wtf/explore/repos")
  (link "GitHub" "http://github.com")
  (short "/u/" "danger/u/" "https://dangeru.us/")
  (link "PVV" "https://www.pvv.ntnu.no/")
  (short "PVVM" "PVV Mail" "https://webmail2.pvv.ntnu.no/roundcube/")
  (short "ΩV" "Omega Verksted" "https://omegav.no/")

  (dir "Nix" [
    (link "Nixpkgs" "https://github.com/NixOS/nixpkgs")
    (link "Home-manager" "https://github.com/nix-community/home-manager")
    (link "Nixpkgs Manual" "https://ryantm.github.io/nixpkgs/")
    (link "Nix Lib Manual" "https://teu5us.github.io/nix-lib.html")
    (link "Nix Lib" "https://github.com/NixOS/nixpkgs/tree/master/lib")
    (link "Nix Lib - Strings" "https://github.com/NixOS/nixpkgs/blob/master/lib/strings.nix")
    (link "Nix Lib - Lists" "https://github.com/NixOS/nixpkgs/blob/master/lib/lists.nix")
    (link "Nix Lib - Attrs" "https://github.com/NixOS/nixpkgs/blob/master/lib/attrs.nix")
    (link "Noogle" "https://noogle.dev/")
    (link "Nixpkgs Hound" "https://search.nix.gsc.io/")
    (short "NXPR" "Nixpkgs PR Progress Tracker" "https://nixpk.gs/pr-tracker.html")
    (link "Nix package versions" "https://lazamar.co.uk/nix-versions/")
    (link "Pkgs on Nix" "https://pkgs.on-nix.com/")
    (link "NixOS Infra Status" "https://status.nixos.org/")
    (link "NixOS R13Y" "https://r13y.com/")
  ])

  (dir "CTF" [
    (link "HackTheBox" "https://www.hackthebox.eu/")
    (link "TryHackMe" "https://tryhackme.com/dashboard")
    (link "OverTheWire" "https://overthewire.org/wargames/")
    (link "NetGarage" "https://io.netgarage.org/")
    (link "Exploit Education" "http://exploit.education/")
  ])

  (dir "Misc & Tools" [
    (link "ASCIIFlow" "https://asciiflow.com/#/")
    (link "CopyChar" "https://copychar.cc/")
    (link "CyberChef" "https://gchq.github.io/CyberChef/")
    (link "Device Info" "https://www.deviceinfo.me/")
    (link "Diagrams" "https://app.diagrams.net/")
    (link "FakeMail" "http://www.fakemailgenerator.com/")
    (link "FilePizza" "https://file.pizza/")
    (link "IPLeak" "https://ipleak.net/")
    (link "LaTeX" "https://www.codecogs.com/latex/eqneditor.php")
    (link "ManualsLib" "https://www.manualslib.com/")
    (link "Namechk" "https://namechk.com/")
    (link "NamingSchemes" "https://namingschemes.com/")
    (link "Oryx" "https://configure.ergodox-ez.com/ergodox-ez/layouts/53Pyn/latest/0")
    (link "Pastebin" "https://pastebin.com/u/h7x4")
    (link "PDFescape" "https://www.pdfescape.com/")
    (link "Pixabay" "https://pixabay.com/")
    (link "Pixlr" "https://pixlr.com/e/")
    (link "Privnote" "https://privnote.com/")
    (link "Quiver" "https://q.uiver.app/")
    (short "RD" "RomajiDesu" "http://www.romajidesu.com/")
    (link "waaai" "https://waa.ai/")
    (link "NitroType" "https://www.nitrotype.com/race")
    (link "Duolingo" "https://www.duolingo.com/learn")
    (link "Kanji Garden" "https://kanji.garden/")
    (link "Compiler Explorer" "https://godbolt.org/")
    (link "Readme.so" "https://readme.so/")
    (link "Regexr" "https://regexr.com/")
    (link "Keybr" "https://www.keybr.com/")
    (link "HackerRank" "https://www.hackerrank.com/")
    (link "Project Euler" "https://projecteuler.net/archives")
    (link "FlutterGems" "https://fluttergems.dev/")
    (link "BashOneliners" "http://www.bashoneliners.com/oneliners/popular/")
    (link "PosterDB" "https://theposterdb.com/")
    (link "WikiChip" "https://en.wikichip.org/wiki/WikiChip")
    (link "Gitea - dodsorf.as" "https://git.dodsorf.as/explore/repos")
    (link "Gitea - feal.no" "https://git.feal.no/explore/repos")
    (link "Gitea - glados.no" "https://git.glados.no/explore/repos")
    (link "Chinese Text Project" "https://ctext.org/")
    (link "Just delete me" "https://backgroundchecks.org/justdeleteme/")
    (link "Unicode Resources" "http://xahlee.info/comp/unicode_essays_index.html")
    (link "UTF8 Everywhere" "https://utf8everywhere.org/")
    (link "Polar" "https://getpolarized.io/")
    (link "Everything I Know" "https://wiki.nikitavoloboev.xyz/")
    (link "Aphyr Posts" "https://aphyr.com/")
    (link "Cursed Computer Iceberg" "https://suricrasia.online/iceberg/")
    (link "EPWING dicts" "https://www.japaneselanguagetools.com/docs/other_dics.html")
    (link "Itazuraneko" "https://itazuraneko.neocities.org/#learn")
    (link "妖精ロケット - The Gear Of Seasons" "https://hexe.net/")
    (link "jpdb" "https://jpdb.io/")
  ])

  (dir "Selfhosting" [
    (link "NoIP" "https://my.noip.com/#!/dynamic-dns")
    (link "Epik" "https://registrar.epik.com/domain/portfolio")
    (link "ASUS Gateway" "http://router.asus.com/")
    (link "Cloudflare Dashboard" "https://dash.cloudflare.com")
    (link "WWW" "https://www.nani.wtf/")
    (link "MAdmin" "https://madmin.nani.wtf")
    (link "Git" "https://git.nani.wtf/explore/repos/")
    (link "Hydra" "https://hydra.nani.wtf/")
    (link "Docs" "https://docs.nani.wtf/")
    (link "Grafana" "https://log.nani.wtf/")
  ])

  (dir "NTNU" [
    (link "Innsida" "https://innsida.ntnu.no/start#/feed/")
    (link "Outlook" "https://outlook.office.com/mail/inbox")
    (link "Blackboard" "https://ntnu.blackboard.com/")
    (link "Grades" "https://grades.no/")
    (link "Wikipendium" "https://www.wikipendium.no/")
    (link "Inspera" "https://ntnu.inspera.no/")
    (link "Shorty" "https://s.ntnu.no/")
    (link "NTNU Tjenester" "https://i.ntnu.no/alt-innhold")
    (link "EMNR" "https://emnr.no/")
  ])
]
